Subject: Re: guix-install.sh doesn't work if run with "sudo"

From: Clément Lassieur <[email-masked]>
Date: Fri, 23 Mar 2018 14:20:38 +0100

Clément Lassieur <[email-masked]> writes:

> Hi,
>
> My system is Ubuntu 16.04.
>
> I ran './guix-install.sh' and got the message: "This script must be run
> as root.".  So I ran 'sudo ./guix-install.sh' and got an error message
> saying that:
>
>     GUIX_PROFILE="${HOME}/.guix-profile"
>     source "${GUIX_PROFILE}/etc/profile"
>
> the 'source' command doesn't work because ${GUIX_PROFILE} was never
> created, ${HOME} being /home/clement, not /root.
>
> To recover from this I had to manually delete /var/guix and /gnu, log as
> root with 'su', and start again.
>
> Clément

I believe the script should install Guix in the user's home directory,
not in ~root.